Name:		dejagnu
Version:	1.4.4
Release:	%mkrel 10
Epoch:		20010912
Summary:	A front end for testing other programs
License:	GPL
URL:		http://www.gnu.org/software/dejagnu/
Source0:	%{name}-%{version}.tar.bz2 
Patch0:		dejagnu-1.4.4-smp-1.patch
Patch1:		dejagnu-1.4.4-testsuite.patch
Patch2:		dejagnu-1.4.4-runtest.patch
Group:		Development/Other
Requires:	common-licenses, tcl >= 8.0, expect >= 5.21
Requires(post):	info-install
Requires(postun):	info-install
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	expect
BuildRequires:	screen texinfo
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q
%patch0 -p1 -b .smp~
%patch1 -p1 -b .testsuite~
%patch2 -p1 -b .runtest~

%build
%configure2_5x
%make

(cd doc
  make overview.html
  make overview.ps && bzip2 -9v overview.ps)

(cd contrib/bluegnu2.0.3/doc
  ./configure --prefix=%_prefix
  %make)

%install
rm -fr %buildroot
%makeinstall_std

cd contrib/bluegnu2.0.3/doc
%makeinstall

# Nuke unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/config.guess
rm -f $RPM_BUILD_ROOT%{_includedir}/dejagnu.h

%check
echo ============TESTING===============
# Dejagnu test suite also has to test reporting to user.  It needs a
# terminal for that.  That doesn't compute in mock.  Work around it by
# running the test under screen and communicating back to test runner
# via temporary file.  If you have better idea, we accept patches.
TMP=`mktemp`
screen -D -m sh -c '(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> '$TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
echo ============END TESTING===========
exit $RESULT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%doc doc/overview doc/overview.ps.bz2
%dir %{_datadir}/dejagnu
%{_datadir}/dejagnu/*
%{_bindir}/runtest
%{_mandir}/man1/dejagnu.1*
%{_mandir}/man1/runtest.1*
%{_infodir}/dejagnu.info*


%changelog
* Mon Oct 05 2009 Funda Wang <fundawang@mandriva.org> 20010912:1.4.4-10mdv2010.0
+ Revision: 453833
- fix build and test

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Dec 24 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 20010912:1.4.4-8mdv2009.1
+ Revision: 318146
- merge in fedora patches

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 20010912:1.4.4-7mdv2009.0
+ Revision: 220578
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 20010912:1.4.4-6mdv2008.1
+ Revision: 149167
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Fri Aug 24 2007 David Walluck <walluck@mandriva.org> 20010912:1.4.4-4mdv2008.0
+ Revision: 70758
- fix install-info Requires

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 20010912:1.4.4-3mdv2008.0
+ Revision: 70183
- convert prereq


* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 1.4.4-2mdv2007.0
+ Revision: 113318
- Rebuild
- Import dejagnu

* Thu Jan 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.4-1mdk
- 1.4.4
- keep 2.0.3 bluegnu files

